petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecStashGetInfo

Gets how many values are currently in the vector stash, i.e. need to be communicated to other processors during the VecAssemblyBegin/End() process

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecStashGetInfo(Vec vec,PetscInt *nstash,PetscInt *reallocs,PetscInt *bnstash,PetscInt *breallocs)

Not collective

### Input Parameter

vec -the vector

### Output Parameters

| nstash | - the size of the stash
| reallocs | - the number of additional mallocs incurred.
| bnstash | - the size of the block stash
| breallocs | - the number of additional mallocs incurred.in the block stash

### See Also

VecAssemblyBegin(), VecAssemblyEnd(), Vec, VecStashSetInitialSize(), VecStashView()

### Level

advanced

### Location

src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages